Package org.eclipse.rdf4j.console.setting

## Class WorkDir

- java.lang.Object
- - org.eclipse.rdf4j.console.setting.ConsoleSetting<Path>
  - - org.eclipse.rdf4j.console.setting.WorkDir

- All Implemented Interfaces:
    `Help`, `Setting<Path>`

      public class WorkDir
      extends ConsoleSetting<Path>

  Working directory setting
  Author:
    Bart Hanssens

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkDir()` | Constructor Default dir is system property user.dir (= current directory)
    `WorkDir​(Path initValue)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHelpLong()` | Get long description
    `String` | `getName()` | Get the name of the command
    `void` | `set​(Path value)` | Set the value for this setting
    `void` | `setFromString​(String value)` | Set the value for this setting from a string

    - ### Methods inherited from class org.eclipse.rdf4j.console.setting.ConsoleSetting

      `clear, get, getAsString, getHelpShort, getInitValue, getType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WorkDir

          public WorkDir()

      Constructor Default dir is system property user.dir (= current directory)

    - #### WorkDir

          public WorkDir​(Path initValue)

      Constructor
      Parameters:
        `initValue` -

  - ### Method Detail

    - #### getHelpLong

          public String getHelpLong()

      Description copied from class: `ConsoleSetting`
      Get long description
      Specified by:
        `getHelpLong` in interface `Help`
      Overrides:
        `getHelpLong` in class `ConsoleSetting<Path>`
      Returns:
        string, can be multiple lines

    - #### getName

          public String getName()

      Description copied from interface: `Help`
      Get the name of the command
      Returns:
        string

    - #### set

          public void set​(Path value)
                   throws IllegalArgumentException

      Description copied from interface: `Setting`
      Set the value for this setting
      Specified by:
        `set` in interface `Setting<Path>`
      Overrides:
        `set` in class `ConsoleSetting<Path>`
      Throws:
        `IllegalArgumentException`

    - #### setFromString

          public void setFromString​(String value)
                             throws IllegalArgumentException

      Description copied from class: `ConsoleSetting`
      Set the value for this setting from a string
      Specified by:
        `setFromString` in class `ConsoleSetting<Path>`
      Parameters:
        `value` - string value
      Throws:
        `IllegalArgumentException`